Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 79131 - Allow looking at values of method parameters even when the symbolic info is not present
Allow looking at values of method parameters even when the symbolic info is n...
Status: CLOSED FIXED
Product: debugger
Classification: Unclassified
Component: Java
5.x
All All
: P2 (vote)
: 6.x
Assigned To: Martin Entlicher
issues@debugger
:
Depends on: 99257
Blocks: 89617
  Show dependency treegraph
 
Reported: 2006-06-26 21:25 UTC by _ sandipchitale
Modified: 2010-04-29 09:29 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description _ sandipchitale 2006-06-26 21:25:50 UTC
When the symbolic debug information is not present in the class files the 
Netbeans debugger does not display (or allow a watch on) the values of local 
variables as the names may not be available. However it is my understanding 
that JDI (of JPDA) does allow looking at the values.

This could be handled by the debugger UI by generating names like parameter1, 
parameter2 and localVariable1, localVariable2. Even better to come up with 
names that indicate the type of the variable such as intParameter1, 
stringParameter2 and so on.
Comment 1 Martin Entlicher 2006-11-20 15:49:59 UTC
This is planned into NB 6.0.
Comment 2 Martin Entlicher 2006-11-20 15:51:33 UTC
FYI: See also http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=4490824
Comment 3 Martin Entlicher 2007-04-04 14:07:55 UTC
Fixed in trunk, together with issue #99254:

/shared/data/ccvs/repository/debuggerjpda/projects/src/org/netbeans/modules/debugger/jpda/projects/EditorContextImpl.java,v
 <--  EditorContextImpl.java
new revision: 1.15; previous revision: 1.14
done
RCS file:
/shared/data/ccvs/repository/debuggerjpda/projects/src/org/netbeans/modules/debugger/jpda/projects/MethodArgumentsScanner.java,v
done
Checking in
projects/src/org/netbeans/modules/debugger/jpda/projects/MethodArgumentsScanner.java;
/shared/data/ccvs/repository/debuggerjpda/projects/src/org/netbeans/modules/debugger/jpda/projects/MethodArgumentsScanner.java,v
 <--  MethodArgumentsScanner.java
initial revision: 1.1
done
Checking in src/org/netbeans/modules/debugger/jpda/EditorContextBridge.java;
/shared/data/ccvs/repository/debuggerjpda/src/org/netbeans/modules/debugger/jpda/EditorContextBridge.java,v
 <--  EditorContextBridge.java
new revision: 1.11; previous revision: 1.10
done
Checking in src/org/netbeans/modules/debugger/jpda/JPDADebuggerImpl.java;
/shared/data/ccvs/repository/debuggerjpda/src/org/netbeans/modules/debugger/jpda/JPDADebuggerImpl.java,v
 <--  JPDADebuggerImpl.java
new revision: 1.119; previous revision: 1.118
done
Checking in src/org/netbeans/modules/debugger/jpda/expr/Evaluator.java;
/shared/data/ccvs/repository/debuggerjpda/src/org/netbeans/modules/debugger/jpda/expr/Evaluator.java,v
 <--  Evaluator.java
new revision: 1.34; previous revision: 1.33
done
RCS file:
/shared/data/ccvs/repository/debuggerjpda/src/org/netbeans/modules/debugger/jpda/models/ArgumentVariable.java,v
done
Checking in src/org/netbeans/modules/debugger/jpda/models/ArgumentVariable.java;
/shared/data/ccvs/repository/debuggerjpda/src/org/netbeans/modules/debugger/jpda/models/ArgumentVariable.java,v
 <--  ArgumentVariable.java
initial revision: 1.1
done
Checking in src/org/netbeans/modules/debugger/jpda/models/CallStackFrameImpl.java;
/shared/data/ccvs/repository/debuggerjpda/src/org/netbeans/modules/debugger/jpda/models/CallStackFrameImpl.java,v
 <--  CallStackFrameImpl.java
new revision: 1.23; previous revision: 1.22
done
Checking in src/org/netbeans/modules/debugger/jpda/models/LocalsTreeModel.java;
/shared/data/ccvs/repository/debuggerjpda/src/org/netbeans/modules/debugger/jpda/models/LocalsTreeModel.java,v
 <--  LocalsTreeModel.java
new revision: 1.41; previous revision: 1.40
done
Checking in src/org/netbeans/modules/debugger/jpda/util/Operator.java;
/shared/data/ccvs/repository/debuggerjpda/src/org/netbeans/modules/debugger/jpda/util/Operator.java,v
 <--  Operator.java
new revision: 1.47; previous revision: 1.46
done
Checking in test/unit/src/org/netbeans/api/debugger/jpda/ExpressionStepTest.java;
/shared/data/ccvs/repository/debuggerjpda/test/unit/src/org/netbeans/api/debugger/jpda/ExpressionStepTest.java,v
 <--  ExpressionStepTest.java
new revision: 1.3; previous revision: 1.2
done
RCS file:
/shared/data/ccvs/repository/debuggerjpda/ui/src/org/netbeans/modules/debugger/jpda/resources/ExprArguments.gif,v
done
Checking in ui/src/org/netbeans/modules/debugger/jpda/resources/ExprArguments.gif;
/shared/data/ccvs/repository/debuggerjpda/ui/src/org/netbeans/modules/debugger/jpda/resources/ExprArguments.gif,v
 <--  ExprArguments.gif
initial revision: 1.1
done
Checking in ui/src/org/netbeans/modules/debugger/jpda/ui/models/Bundle.properties;
/shared/data/ccvs/repository/debuggerjpda/ui/src/org/netbeans/modules/debugger/jpda/ui/models/Bundle.properties,v
 <--  Bundle.properties
new revision: 1.40; previous revision: 1.39
done
Checking in
ui/src/org/netbeans/modules/debugger/jpda/ui/models/VariablesNodeModel.java;
/shared/data/ccvs/repository/debuggerjpda/ui/src/org/netbeans/modules/debugger/jpda/ui/models/VariablesNodeModel.java,v
 <--  VariablesNodeModel.java
new revision: 1.16; previous revision: 1.15
done
Checking in
ui/src/org/netbeans/modules/debugger/jpda/ui/models/VariablesTableModel.java;
/shared/data/ccvs/repository/debuggerjpda/ui/src/org/netbeans/modules/debugger/jpda/ui/models/VariablesTableModel.java,v
 <--  VariablesTableModel.java
new revision: 1.19; previous revision: 1.18
Comment 4 Quality Engineering 2010-04-29 09:29:18 UTC
Verified ... and Closing all issues resolved into NetBeans 6.7 and earlier.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo